Subject: Re: DNSEXT WGLC: RFC2536bis and RFC2539bis

From: Mark Andrews <[email-masked]>
Date: Wed, 14 Dec 2005 12:17:15 +1100

> >http://www.ietf.org/internet-drafts/draft-ietf-dnsext-rfc2536bis-dsa-06.txt

	The only change I would make is to make a reference to the
	current key types.

   When DSA public keys are stored in the DNS, the structure of the
   relevant part of the RDATA part of the RR being used is the fields
   listed below in the order given.

   When DSA public keys are stored in the DNS, the structure of the
   relevant part of the RDATA part of the RR (currently KEY and DNSKEY)
   being used is the fields listed below in the order given.

--
Mark Andrews, ISC
1 Seymour St., Dundas Valley, NSW 2117, Australia
PHONE: +61 2 9871 4742                 INTERNET: [email-masked]

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/namedroppers/>

---

From: Mark Andrews <[email-masked]>
Date: Wed, 14 Dec 2005 12:30:36 +1100

http://www.ietf.org/internet-drafts/draft-ietf-dnsext-rfc2539bis-dhk-06.txt

	Section 2 you dropped the description of the first 4 octets of the
	KEY record but you left them in the diagram.  I would suggest that
	they be removed from the diagram.

http://www.ietf.org/internet-drafts/draft-ietf-dnsext-rfc2536bis-dsa-06.txt
http://www.ietf.org/internet-drafts/draft-ietf-dnsext-rfc2539bis-dhk-06.txt

	Both need a section describing the change from the RFC's they
	are obsoleting.

	Something stating that it doesn't change the wire format of KEY
	RR's it mearly extends the use to also cover DNSKEY.